Skip to main content
POST
/
v1
/
flows
/
{templateId}
/
runs
Create Run
curl --request POST \
  --url https://api.soharhealth.com/v1/flows/{templateId}/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputData": {
    "patient": {
      "firstName": "John",
      "lastName": "Doe"
    }
  }
}
'
{
  "flowRunId": "fb701ac1-1246-4860-b1ec-bd916b97a990"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

templateId
string
required

The Flow template identifier

Example:

"33093874-1e3d-4ea9-b988-8cc64e5a4079"

Body

application/json
inputData
object

Initial input context for the Run. Refer to the Flow template for specific inputData requirements.

Response

A Run ID

flowRunId
string
required

The Sohar ID for the Run.

Example:

"fb701ac1-1246-4860-b1ec-bd916b97a990"